classification
Title: Using buffer() should raise a Py3K warning
Type: Stage:
Components: Interpreter Core Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: belopolsky, benjamin.peterson, brett.cannon, georg.brandl, rhettinger
Priority: critical Keywords: 26backport, patch

Created on 2008-03-17 19:30 by brett.cannon, last changed 2008-03-25 07:56 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
buffer_warning.patch benjamin.peterson, 2008-03-18 00:30 adds buffer warning
buffer_warning_good_tabbing.patch benjamin.peterson, 2008-03-18 01:13 uses tabs
Messages (6)
msg63726 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-03-17 19:30
Using buffer() should raise a Py3K warning.
msg63817 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-03-18 00:30
Here's a patch.
msg63824 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2008-03-18 00:38
Are use cases for buffer() satisfied by the new memoryview() builtin? 
If so, it would be nice to have an automatic conversion or to have the
Py3k warning suggest a possible substitute.
msg63838 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2008-03-18 01:10
Benjamin,

Your recent patches all use 4-space indentation, but Python 2.x 
recommended style is still to use tabs unless you start a new file. See 
PEP 7.
msg63839 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-03-18 01:13
My apologies. I often forget to switch between tabs and spaces for
Python and C sometimes.
msg64462 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-03-25 07:56
Added test and committed as r61878.
History
Date User Action Args
2008-03-25 07:56:34georg.brandlsetstatus: open -> closed
nosy: + georg.brandl
resolution: accepted
messages: + msg64462
2008-03-18 01:13:52benjamin.petersonsetfiles: + buffer_warning_good_tabbing.patch
messages: + msg63839
2008-03-18 01:10:49belopolskysetnosy: + belopolsky
messages: + msg63838
2008-03-18 00:38:40rhettingersetnosy: + rhettinger
messages: + msg63824
2008-03-18 00:30:36benjamin.petersonsetfiles: + buffer_warning.patch
keywords: + patch
messages: + msg63817
nosy: + benjamin.peterson
2008-03-17 20:15:19brett.cannonsetpriority: release blocker -> critical
2008-03-17 19:30:55brett.cannoncreate